String Handles

## Macros

#define | __itt_string_handle_create __itt_string_handle_createA
#define | __itt_string_handle_create_ptr __itt_string_handle_createA_ptr

## Functions

__itt_string_handle *ITTAPI | __itt_string_handle_createA (const char *name)

Create a string handle. Create and return handle value that can be associated with a string. Consecutive calls to __itt_string_handle_create with the same name return the same value. Because the set of string handles is expected to remain static during the application's execution time, there is no mechanism to destroy a string handle. Any string handle can be accessed by any thread in the process, regardless of which thread created the string handle. This call is thread-safe. More...

__itt_string_handle *ITTAPI | __itt_string_handle_createW (const wchar_t *name)

## Detailed Description

String Handles group

## Macro Definition Documentation

## __itt_string_handle_create

#define __itt_string_handle_create __itt_string_handle_createA

Definition at line 1980 of file ittnotify.h.

## __itt_string_handle_create_ptr

#define __itt_string_handle_create_ptr __itt_string_handle_createA_ptr

Definition at line 1981 of file ittnotify.h.

## Function Documentation

## __itt_string_handle_createA()

__itt_string_handle* ITTAPI __itt_string_handle_createA | ( | const char * | name | ) |

Create a string handle. Create and return handle value that can be associated with a string. Consecutive calls to __itt_string_handle_create with the same name return the same value. Because the set of string handles is expected to remain static during the application's execution time, there is no mechanism to destroy a string handle. Any string handle can be accessed by any thread in the process, regardless of which thread created the string handle. This call is thread-safe.

Parameters

  [in] | name | The input string

## __itt_string_handle_createW()

__itt_string_handle* ITTAPI __itt_string_handle_createW | ( | const wchar_t * | name | ) |

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.